package com.artfess.sysConfig.persistence.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlRootElement(name = "sysAppXml")
@XmlAccessorType(XmlAccessType.FIELD)
public class SysAppXml {
    @XmlElement(name = "sysApp", type = SysApp.class)
    private SysApp sysApp;

    @XmlElement(name = "sysAppMenu", type = SysAppMenu.class)
    private List<SysAppMenu> sysAppMenuList;

    @XmlElement(name = "portalAppParam", type = PortalAppParam.class)
    private List<PortalAppParam> portalAppParamList;

    @XmlElement(name = "sysTag", type = SysTag.class)
    private List<SysTag> sysTagList;

    @XmlElement(name = "sysAuthUser", type = SysAuthUser.class)
    private List<SysAuthUser> sysAuthUserList;

    public SysApp getSysApp() {
        return sysApp;
    }

    public void setSysApp(SysApp sysApp) {
        this.sysApp = sysApp;
    }

    public List<SysAppMenu> getSysAppMenuList() {
        return sysAppMenuList;
    }

    public void setSysAppMenuList(List<SysAppMenu> sysAppMenuList) {
        this.sysAppMenuList = sysAppMenuList;
    }

    public List<PortalAppParam> getPortalAppParamList() {
        return portalAppParamList;
    }

    public void setPortalAppParamList(List<PortalAppParam> portalAppParamList) {
        this.portalAppParamList = portalAppParamList;
    }

    public List<SysTag> getSysTagList() {
        return sysTagList;
    }

    public void setSysTagList(List<SysTag> sysTagList) {
        this.sysTagList = sysTagList;
    }

    public List<SysAuthUser> getSysAuthUserList() {
        return sysAuthUserList;
    }

    public void setSysAuthUserList(List<SysAuthUser> sysAuthUserList) {
        this.sysAuthUserList = sysAuthUserList;
    }
}

